reSIDfp::Voice Class Reference

`#include <Voice.h>`

## Public Member Functions

RESID_INLINE int | output (const WaveformGenerator *ringModulator) const
| Voice ()
WaveformGenerator * | wave () const
EnvelopeGenerator * | envelope () const
void | writeCONTROL_REG (unsigned char control)
void | reset ()

## Detailed Description

Representation of SID voice block.

Author
  Ken Händel
  Dag Lem
  Antti Lankila
  Leandro Nini

## Constructor & Destructor Documentation

reSIDfp::Voice::Voice | ( |  | ) |

inline

Constructor.

## Member Function Documentation

RESID_INLINE int reSIDfp::Voice::output | ( | const WaveformGenerator * | ringModulator | ) | const

inline

Amplitude modulated waveform output.

The waveform DAC generates a voltage between 5 and 12 V corresponding to oscillator state 0 .. 4095.

The envelope DAC generates a voltage between waveform gen output and the 5V level, corresponding to envelope state 0 .. 255.

Ideal range [-2048*255, 2047*255].

Parameters

  ringModulator | Ring-modulator for waveform

Returns
  waveformgenerator output

void reSIDfp::Voice::reset | ( |  | ) |

inline

SID reset.

void reSIDfp::Voice::writeCONTROL_REG | ( | unsigned char | control | ) |

inline

Register functions.

Parameters

  control | Control register value.

The documentation for this class was generated from the following file:

- Voice.h